# Cuadros de diálogo

#### Trabajar con cuadros de diálogo

### create

##### Desde archivo

Crear un cuadro de diálogo desde un archivo `xdl` previamente creado desde el editor de cuadros de diálogo dentro de LibreOffice y exportado a un archivo.

    def crear_cuadro_de_dialogo():
        path = '/home/mau/Desktop/Dialog1.xdl'
        propiedades = {'Path': path}

        dialog = app.dialog.create(propiedades)
        dialog.open()
        return

##### Desde mis macros

Si el cuadro de diálogo esta en la librería `Standard`.

    def crear_cuadro_de_dialogo():
        propiedades = {
            'Location': 'user',
            'Name': 'Dialog1',
        }
        dialog = app.dialog.create(propiedades)
        dialog.open()
        return

Si el cuadro de diálogo esta en otra librería.

    def crear_cuadro_de_dialogo():
        propiedades = {
            'Location': 'user',
            'Library': 'MiAplicacion',
            'Name': 'Dialog2',
        }
        dialog = app.dialog.create(propiedades)
        dialog.open()
        return

Si el cuadro de diálogo esta en el documento activo en la librería `Standard`.

    def crear_cuadro_de_dialogo():
        propiedades = {
            'Location': 'document',
            'Name': 'miApp',
        }
        dialog = app.dialog.create(propiedades)
        dialog.open()
        return

##### Crear dinámicamente

Crear un cuadro de diálogo vacío.

    def crear_cuadro_de_dialogo():
        dialog = app.dialog.create()
        dialog.open()
        return